<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/navigation_graph"
    app:startDestination="@id/coinListFragment">

    <fragment
        android:id="@+id/coinListFragment"
        android:name="com.example.micoin.ui.main.view.CoinListFragment"
        android:label="CoinListFragment" >
        <action
            android:id="@+id/action_coinListFragment_to_coinFragment"
            app:destination="@id/coinFragment"
            app:enterAnim="@anim/from_right"
            app:exitAnim="@anim/to_left"
            app:popEnterAnim="@anim/from_left"
            app:popExitAnim="@anim/to_right" />
    </fragment>
    <fragment
        android:id="@+id/coinFragment"
        android:name="com.example.micoin.ui.main.view.CoinFragment"
        android:label="CoinFragment" >
        <action
            android:id="@+id/action_coinFragment_to_coinListFragment"
            app:destination="@id/coinListFragment"
            app:enterAnim="@anim/from_left"
            app:exitAnim="@anim/to_right"
            app:popEnterAnim="@anim/from_right"
            app:popExitAnim="@anim/to_left" />
    </fragment>
    <fragment
        android:id="@+id/searchFragment"
        android:name="com.example.micoin.ui.main.view.SearchFragment"
        android:label="SearchFragment">
        <action
            android:id="@+id/action_searchFragment_to_coinFragment"
            app:destination="@id/coinFragment" />
    </fragment>
    <fragment
        android:id="@+id/favoritesFragment"
        android:name="com.example.micoin.ui.main.view.FavoriteFragment"
        android:label="FavoriteFragment" >
        <action
            android:id="@+id/action_favoritesFragment_to_coinFragment"
            app:destination="@id/coinFragment"
            app:enterAnim="@anim/from_left"
            app:exitAnim="@anim/to_right"
            app:popEnterAnim="@anim/from_right"
            app:popExitAnim="@anim/to_left" />
    </fragment>


</navigation>